Changeset 2967 for ThirdParty/Glpk


Ignore:
Timestamp:
Oct 15, 2013 9:53:02 AM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/configure

    r2909 r2967  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-glpk compile project Glpk with debug compiler flags
    1064   --enable-doscompile     Under Cygwin, compile so that executables run under
    1065                           DOS. Set to mingw to use gcc/g++/ld with
    1066                           -mno-cygwin. Set to msvc to use cl/link (or
    1067                           icl/link). Default when mentioned: mingw. Default
    1068                           when not mentioned: disabled.
     1064
     1065  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10691066  --disable-pkg-config    disable use of pkg-config (if available)
    10701067  --enable-static[=PKGS]
     
    18561853
    18571854# Get the name of the C compiler
    1858 case $build in
     1855
     1856
     1857  # for backward compatibility
     1858  # Check whether --enable-doscompile or --disable-doscompile was given.
     1859if test "${enable_doscompile+set}" = set; then
     1860  enableval="$enable_doscompile"
     1861  enable_doscompile=$enableval
     1862else
     1863  enable_doscompile=no
     1864fi;
     1865
     1866  # Check whether --enable-msvc or --disable-msvc was given.
     1867if test "${enable_msvc+set}" = set; then
     1868  enableval="$enable_msvc"
     1869  enable_msvc=$enableval
     1870else
     1871  enable_msvc=no
     1872     if test "$enable_doscompile" = msvc ; then
     1873       enable_msvc=yes
     1874     elif test "$enable_doscompile" != no ; then
     1875       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1876echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1877   { (exit 1); exit 1; }; }
     1878     fi
     1879
     1880fi;
     1881
     1882  if test "$enable_msvc" = yes; then
     1883    case $build in
     1884      *-cygwin* | *-mingw*) ;;
     1885      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1886echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1887   { (exit 1); exit 1; }; } ;;
     1888    esac
     1889  fi
     1890
     1891
     1892 case $build in
    18591893  *-mingw*)
    18601894    if test "${LD+set}" = set; then :; else
     
    18631897    ;;
    18641898 esac
    1865  case $enable_doscompile in
    1866    msvc)
    1867      if test "x${LD+set}" = xset; then :; else
    1868        LD=link
    1869      fi
    1870      ;;
    1871  esac
    1872 
    1873 
    1874  # Check whether --enable-doscompile or --disable-doscompile was given.
    1875 if test "${enable_doscompile+set}" = set; then
    1876   enableval="$enable_doscompile"
    1877   if test "$enable_doscompile" != no; then
    1878      case $build in
    1879        *-cygwin* | *-mingw*) ;;
    1880        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1881 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1899 if test $enable_msvc = yes ; then
     1900   if test "x${LD+set}" = xset; then :; else
     1901     LD=link
     1902   fi
     1903 fi
     1904
     1905
     1906# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1907if test "${enable_static_standardlibs+set}" = set; then
     1908  enableval="$enable_static_standardlibs"
     1909  case "$enableval" in
     1910     no | yes | auto ) ;;
     1911     *)
     1912       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1913echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    18821914   { (exit 1); exit 1; }; } ;;
    1883      esac
    1884    fi
    1885 else
    1886   enable_doscompile=no
     1915   esac
     1916   use_static_standardlibs=$enableval
     1917else
     1918  use_static_standardlibs=no
    18871919fi;
    1888  case "$enable_doscompile" in
    1889    mingw)
    1890      case $build in
    1891        *-mingw*) enable_doscompile=no ;;
    1892      esac
    1893      ;;
    1894    msvc|no) ;;
    1895    yes) enable_doscompile=mingw ;;
    1896    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1897                     Try configure --help=recursive." >&5
    1898 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1899                     Try configure --help=recursive." >&2;}
    1900    { (exit 1); exit 1; }; }
    1901       ;;
    1902   esac
    1903   if test "$enable_doscompile" != no ; then
    1904     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1905 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1906   fi
     1920
    19071921
    19081922
     
    19471961case $build in
    19481962  *-cygwin* | *-mingw*)
    1949              if test "$enable_doscompile" = msvc ; then
    1950                comps="icl cl"
     1963             if test "$enable_msvc" = yes ; then
     1964               comps="icl cl gcc"
    19511965             else
    1952                comps="gcc cl"
     1966               comps="gcc icl cl"
    19531967             fi ;;
    19541968  *-*-solaris*)
     
    28032817            ;;
    28042818        esac
    2805         case $enable_doscompile in
    2806           mingw)
    2807             CFLAGS="-mno-cygwin"
    2808             cat >conftest.$ac_ext <<_ACEOF
    2809 /* confdefs.h.  */
    2810 _ACEOF
    2811 cat confdefs.h >>conftest.$ac_ext
    2812 cat >>conftest.$ac_ext <<_ACEOF
    2813 /* end confdefs.h.  */
    2814 
    2815 int
    2816 main ()
    2817 {
    2818 int i=0; i++;
    2819   ;
    2820   return 0;
    2821 }
    2822 _ACEOF
    2823 rm -f conftest.$ac_objext conftest$ac_exeext
    2824 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2825   (eval $ac_link) 2>conftest.er1
    2826   ac_status=$?
    2827   grep -v '^ *+' conftest.er1 >conftest.err
    2828   rm -f conftest.er1
    2829   cat conftest.err >&5
    2830   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2831   (exit $ac_status); } &&
    2832          { ac_try='test -z "$ac_c_werror_flag"
    2833                          || test ! -s conftest.err'
    2834   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2835   (eval $ac_try) 2>&5
    2836   ac_status=$?
    2837   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2838   (exit $ac_status); }; } &&
    2839          { ac_try='test -s conftest$ac_exeext'
    2840   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2841   (eval $ac_try) 2>&5
    2842   ac_status=$?
    2843   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2844   (exit $ac_status); }; }; then
    2845   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2846 else
    2847   echo "$as_me: failed program was:" >&5
    2848 sed 's/^/| /' conftest.$ac_ext >&5
    2849 
    2850 fi
    2851 rm -f conftest.err conftest.$ac_objext \
    2852       conftest$ac_exeext conftest.$ac_ext
    2853             CFLAGS=
    2854           ;;
    2855         esac
    28562819    esac
    28572820  fi
     
    30443007    CFLAGS="$OPT_CFLAGS"
    30453008  fi
     3009
    30463010else
    30473011  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31943158  clang* ) ;;
    31953159  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3196     case $build in
     3160
     3161 case $build in
    31973162  *-mingw*)
    31983163    if test "${LD+set}" = set; then :; else
     
    32013166    ;;
    32023167 esac
    3203  case $enable_doscompile in
    3204    msvc)
    3205      if test "x${LD+set}" = xset; then :; else
    3206        LD=link
    3207      fi
    3208      ;;
    3209  esac
     3168 if test $enable_msvc = yes ; then
     3169   if test "x${LD+set}" = xset; then :; else
     3170     LD=link
     3171   fi
     3172 fi
    32103173
    32113174    ;;
    32123175esac
     3176
     3177# check whether to add flags for static linking against standard libraries to LDFLAGS
     3178if test x$use_static_standardlibs != xno ; then
     3179  case $build in
     3180    *-mingw*)
     3181      static_standardlib_flag=-static
     3182      ;;
     3183    *)
     3184      static_standardlib_flag=-static-libgcc
     3185      ;;
     3186  esac
     3187  case " $LDFLAGS " in
     3188    *" $static_standardlib_flag "* ) ;;
     3189    *)
     3190    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3191echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3192    coin_save_LDFLAGS="$LDFLAGS"
     3193    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3194    cat >conftest.$ac_ext <<_ACEOF
     3195/* confdefs.h.  */
     3196_ACEOF
     3197cat confdefs.h >>conftest.$ac_ext
     3198cat >>conftest.$ac_ext <<_ACEOF
     3199/* end confdefs.h.  */
     3200
     3201int
     3202main ()
     3203{
     3204int i=0;
     3205  ;
     3206  return 0;
     3207}
     3208_ACEOF
     3209rm -f conftest.$ac_objext conftest$ac_exeext
     3210if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3211  (eval $ac_link) 2>conftest.er1
     3212  ac_status=$?
     3213  grep -v '^ *+' conftest.er1 >conftest.err
     3214  rm -f conftest.er1
     3215  cat conftest.err >&5
     3216  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3217  (exit $ac_status); } &&
     3218         { ac_try='test -z "$ac_c_werror_flag"
     3219                         || test ! -s conftest.err'
     3220  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3221  (eval $ac_try) 2>&5
     3222  ac_status=$?
     3223  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3224  (exit $ac_status); }; } &&
     3225         { ac_try='test -s conftest$ac_exeext'
     3226  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3227  (eval $ac_try) 2>&5
     3228  ac_status=$?
     3229  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3230  (exit $ac_status); }; }; then
     3231  echo "$as_me:$LINENO: result: yes" >&5
     3232echo "${ECHO_T}yes" >&6
     3233else
     3234  echo "$as_me: failed program was:" >&5
     3235sed 's/^/| /' conftest.$ac_ext >&5
     3236
     3237echo "$as_me:$LINENO: result: no" >&5
     3238echo "${ECHO_T}no" >&6
     3239       LDFLAGS="$coin_save_LDFLAGS"
     3240       if test $use_static_standardlibs = yes ; then
     3241         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3242echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3243   { (exit 1); exit 1; }; }
     3244       fi
     3245
     3246fi
     3247rm -f conftest.err conftest.$ac_objext \
     3248      conftest$ac_exeext conftest.$ac_ext
     3249    ;;
     3250  esac
     3251fi
    32133252
    32143253ac_ext=c
     
    50695108*-*-irix6*)
    50705109  # Find out which ABI we are using.
    5071   echo '#line 5071 "configure"' > conftest.$ac_ext
     5110  echo '#line 5110 "configure"' > conftest.$ac_ext
    50725111  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50735112  (eval $ac_compile) 2>&5
     
    66686707
    66696708# Provide some information about the compiler.
    6670 echo "$as_me:6670:" \
     6709echo "$as_me:6709:" \
    66716710     "checking for Fortran 77 compiler version" >&5
    66726711ac_compiler=`set X $ac_compile; echo $2`
     
    77357774   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77367775   -e 's:$: $lt_compiler_flag:'`
    7737    (eval echo "\"\$as_me:7737: $lt_compile\"" >&5)
     7776   (eval echo "\"\$as_me:7776: $lt_compile\"" >&5)
    77387777   (eval "$lt_compile" 2>conftest.err)
    77397778   ac_status=$?
    77407779   cat conftest.err >&5
    7741    echo "$as_me:7741: \$? = $ac_status" >&5
     7780   echo "$as_me:7780: \$? = $ac_status" >&5
    77427781   if (exit $ac_status) && test -s "$ac_outfile"; then
    77437782     # The compiler can only warn and ignore the option if not recognized
     
    80038042   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80048043   -e 's:$: $lt_compiler_flag:'`
    8005    (eval echo "\"\$as_me:8005: $lt_compile\"" >&5)
     8044   (eval echo "\"\$as_me:8044: $lt_compile\"" >&5)
    80068045   (eval "$lt_compile" 2>conftest.err)
    80078046   ac_status=$?
    80088047   cat conftest.err >&5
    8009    echo "$as_me:8009: \$? = $ac_status" >&5
     8048   echo "$as_me:8048: \$? = $ac_status" >&5
    80108049   if (exit $ac_status) && test -s "$ac_outfile"; then
    80118050     # The compiler can only warn and ignore the option if not recognized
     
    81078146   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81088147   -e 's:$: $lt_compiler_flag:'`
    8109    (eval echo "\"\$as_me:8109: $lt_compile\"" >&5)
     8148   (eval echo "\"\$as_me:8148: $lt_compile\"" >&5)
    81108149   (eval "$lt_compile" 2>out/conftest.err)
    81118150   ac_status=$?
    81128151   cat out/conftest.err >&5
    8113    echo "$as_me:8113: \$? = $ac_status" >&5
     8152   echo "$as_me:8152: \$? = $ac_status" >&5
    81148153   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81158154   then
     
    1045210491  lt_status=$lt_dlunknown
    1045310492  cat > conftest.$ac_ext <<EOF
    10454 #line 10454 "configure"
     10493#line 10493 "configure"
    1045510494#include "confdefs.h"
    1045610495
     
    1055210591  lt_status=$lt_dlunknown
    1055310592  cat > conftest.$ac_ext <<EOF
    10554 #line 10554 "configure"
     10593#line 10593 "configure"
    1055510594#include "confdefs.h"
    1055610595
     
    1289612935   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289712936   -e 's:$: $lt_compiler_flag:'`
    12898    (eval echo "\"\$as_me:12898: $lt_compile\"" >&5)
     12937   (eval echo "\"\$as_me:12937: $lt_compile\"" >&5)
    1289912938   (eval "$lt_compile" 2>conftest.err)
    1290012939   ac_status=$?
    1290112940   cat conftest.err >&5
    12902    echo "$as_me:12902: \$? = $ac_status" >&5
     12941   echo "$as_me:12941: \$? = $ac_status" >&5
    1290312942   if (exit $ac_status) && test -s "$ac_outfile"; then
    1290412943     # The compiler can only warn and ignore the option if not recognized
     
    1300013039   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1300113040   -e 's:$: $lt_compiler_flag:'`
    13002    (eval echo "\"\$as_me:13002: $lt_compile\"" >&5)
     13041   (eval echo "\"\$as_me:13041: $lt_compile\"" >&5)
    1300313042   (eval "$lt_compile" 2>out/conftest.err)
    1300413043   ac_status=$?
    1300513044   cat out/conftest.err >&5
    13006    echo "$as_me:13006: \$? = $ac_status" >&5
     13045   echo "$as_me:13045: \$? = $ac_status" >&5
    1300713046   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1300813047   then
     
    1457014609   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1457114610   -e 's:$: $lt_compiler_flag:'`
    14572    (eval echo "\"\$as_me:14572: $lt_compile\"" >&5)
     14611   (eval echo "\"\$as_me:14611: $lt_compile\"" >&5)
    1457314612   (eval "$lt_compile" 2>conftest.err)
    1457414613   ac_status=$?
    1457514614   cat conftest.err >&5
    14576    echo "$as_me:14576: \$? = $ac_status" >&5
     14615   echo "$as_me:14615: \$? = $ac_status" >&5
    1457714616   if (exit $ac_status) && test -s "$ac_outfile"; then
    1457814617     # The compiler can only warn and ignore the option if not recognized
     
    1467414713   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1467514714   -e 's:$: $lt_compiler_flag:'`
    14676    (eval echo "\"\$as_me:14676: $lt_compile\"" >&5)
     14715   (eval echo "\"\$as_me:14715: $lt_compile\"" >&5)
    1467714716   (eval "$lt_compile" 2>out/conftest.err)
    1467814717   ac_status=$?
    1467914718   cat out/conftest.err >&5
    14680    echo "$as_me:14680: \$? = $ac_status" >&5
     14719   echo "$as_me:14719: \$? = $ac_status" >&5
    1468114720   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1468214721   then
     
    1688116920   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1688216921   -e 's:$: $lt_compiler_flag:'`
    16883    (eval echo "\"\$as_me:16883: $lt_compile\"" >&5)
     16922   (eval echo "\"\$as_me:16922: $lt_compile\"" >&5)
    1688416923   (eval "$lt_compile" 2>conftest.err)
    1688516924   ac_status=$?
    1688616925   cat conftest.err >&5
    16887    echo "$as_me:16887: \$? = $ac_status" >&5
     16926   echo "$as_me:16926: \$? = $ac_status" >&5
    1688816927   if (exit $ac_status) && test -s "$ac_outfile"; then
    1688916928     # The compiler can only warn and ignore the option if not recognized
     
    1714917188   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1715017189   -e 's:$: $lt_compiler_flag:'`
    17151    (eval echo "\"\$as_me:17151: $lt_compile\"" >&5)
     17190   (eval echo "\"\$as_me:17190: $lt_compile\"" >&5)
    1715217191   (eval "$lt_compile" 2>conftest.err)
    1715317192   ac_status=$?
    1715417193   cat conftest.err >&5
    17155    echo "$as_me:17155: \$? = $ac_status" >&5
     17194   echo "$as_me:17194: \$? = $ac_status" >&5
    1715617195   if (exit $ac_status) && test -s "$ac_outfile"; then
    1715717196     # The compiler can only warn and ignore the option if not recognized
     
    1725317292   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725417293   -e 's:$: $lt_compiler_flag:'`
    17255    (eval echo "\"\$as_me:17255: $lt_compile\"" >&5)
     17294   (eval echo "\"\$as_me:17294: $lt_compile\"" >&5)
    1725617295   (eval "$lt_compile" 2>out/conftest.err)
    1725717296   ac_status=$?
    1725817297   cat out/conftest.err >&5
    17259    echo "$as_me:17259: \$? = $ac_status" >&5
     17298   echo "$as_me:17298: \$? = $ac_status" >&5
    1726017299   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1726117300   then
     
    2201022049echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2201122050coin_link_input_cmd="$LN_S"
    22012 if test "$enable_doscompile" = mingw; then
    22013   coin_link_input_cmd=cp
    22014 fi
    2201522051case "$CC" in
    2201622052  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.